package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.MemberCoin;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.MemberCoinMapper")
public interface MemberCoinMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(MemberCoin record);

    MemberCoin selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(MemberCoin record);

    List<MemberCoin> queryAllMemberCoin(MemberCoin record);

    List<MemberCoin> queryMemberCoinByPage(Map<String, Object> parameter);

    int delete(String id);

    MemberCoin queryMemberCoin(MemberCoin record);

    List<MemberCoin> query(MemberCoin record);
}

